Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pages.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/pages.py	(revision 11947)
@@ -46,8 +46,5 @@
     KofaDisplayFormPage, NullValidator)
 from waeup.kofa.browser.interfaces import (
-    IUniversity, IFacultiesContainer, IFaculty,
-    IDepartment, ICourse, ICertificate,
-    ICertificateCourse,
-    ICaptchaManager, IChangePassword)
+    IUniversity, ICaptchaManager, IChangePassword)
 from waeup.kofa.browser.layout import jsaction, action, UtilityView
 from waeup.kofa.interfaces import MessageFactory as _
@@ -58,11 +55,9 @@
     ISessionConfiguration, ISessionConfigurationAdd, IJobManager,
     IPasswordValidator, IContactForm, IKofaUtils, ICSVExporter,
-    academic_sessions_vocab)
+    application_sessions_vocab)
 from waeup.kofa.permissions import (
     get_users_with_local_roles, get_all_roles, get_all_users,
     get_users_with_role)
 
-from waeup.kofa.university.catalog import search
-from waeup.kofa.university.vocabularies import course_levels
 from waeup.kofa.authentication import LocalRoleSetEvent
 from waeup.kofa.widgets.htmlwidget import HTMLDisplayWidget
@@ -70,7 +65,4 @@
 from waeup.kofa.mandates.mandate import PasswordMandate
 from waeup.kofa.datacenter import DataCenterFile
-
-from waeup.kofa.students.export import EXPORTER_NAMES as STUDENT_EXPORTERS
-from waeup.kofa.students.catalog import StudentQueryResultItem
 
 FORBIDDEN_CHARACTERS = (160,)
@@ -270,7 +262,4 @@
     login_button = label
 
-    def _comment(self, student):
-        return getattr(student, 'suspended_comment', None)
-
     def update(self, SUBMIT=None, camefrom=None):
         self.camefrom = camefrom
@@ -278,20 +267,14 @@
             if self.request.principal.id != 'zope.anybody':
                 self.flash(_('You logged in.'))
-                if self.request.principal.user_type == 'student':
-                    student = grok.getSite()['students'][
+                if self.request.principal.user_type == 'customer':
+                    student = grok.getSite()['customerss'][
                         self.request.principal.id]
-                    rel_link = '/students/%s' % self.request.principal.id
+                    rel_link = '/customers/%s' % self.request.principal.id
                     if student.personal_data_expired:
-                        rel_link = '/students/%s/edit_personal' % (
+                        rel_link = '/customerss/%s/edit_personal' % (
                             self.request.principal.id)
                         self.flash(
                           _('Your personal data record is outdated. Please update.'),
                           type='warning')
-                    self.redirect(self.application_url() + rel_link)
-                    return
-                elif self.request.principal.user_type == 'applicant':
-                    container, application_number = self.request.principal.id.split('_')
-                    rel_link = '/applicants/%s/%s' % (
-                        container, application_number)
                     self.redirect(self.application_url() + rel_link)
                     return
@@ -301,33 +284,4 @@
                 self.redirect(self.camefrom)
                 return
-            # Display appropriate flash message if credentials are correct
-            # but student has been deactivated or a temporary password
-            # has been set.
-            login = self.request.form['form.login']
-            if len(login) == 8 and login in grok.getSite()['students']:
-                student = grok.getSite()['students'][login]
-                password = self.request.form['form.password']
-                passwordmanager = getUtility(IPasswordManager, 'SSHA')
-                if student.password is not None and \
-                    passwordmanager.checkPassword(student.password, password):
-                    # The student entered valid credentials.
-                    # First we check if a temporary password has been set.
-                    delta = timedelta(minutes=10)
-                    now = datetime.utcnow()
-                    temp_password_dict = getattr(student, 'temp_password', None)
-                    if temp_password_dict is not None and \
-                        now < temp_password_dict.get('timestamp', now) + delta:
-                        self.flash(
-                            _('Your account has been temporarily deactivated.'),
-                            type='warning')
-                        return
-                    # Now we know that the student is suspended.
-                    comment = self._comment(student)
-                    if comment:
-                        self.flash(comment, type='warning')
-                    else:
-                        self.flash(_('Your account has been deactivated.'),
-                                   type='warning')
-                    return
             self.flash(_('You entered invalid credentials.'), type='danger')
             return
@@ -734,32 +688,4 @@
 
 #
-# Search pages...
-#
-
-class SearchPage(KofaPage):
-    """General search page for the academics section.
-    """
-    grok.context(IFacultiesContainer)
-    grok.name('search')
-    grok.template('searchpage')
-    grok.require('waeup.viewAcademics')
-    label = _(u"Search Academic Section")
-    pnav = 1
-    search_button = _(u'Search')
-
-    def update(self, *args, **kw):
-        form = self.request.form
-        self.hitlist = []
-        self.query = ''
-        if not 'query' in form:
-            return
-        query = form['query']
-        self.query = query
-        self.hitlist = search(query=self.query, view=self)
-        if not self.hitlist:
-            self.flash(_('No object found.'), type="warning")
-        return
-
-#
 # Configuration pages...
 #
@@ -856,5 +782,5 @@
             self.context.__parent__.logger.info(
                 '%s - added: %s' % (
-                ob_class, sessionconfiguration.academic_session))
+                ob_class, sessionconfiguration.application_session))
         except KeyError:
             self.flash(_('The session chosen already exists.'), type='danger')
@@ -1518,5 +1444,5 @@
         self.filename = logname
         self.query = query
-        if search is None or not query:
+        if not query:
             return
         try:
@@ -1582,9 +1508,5 @@
         utils = getUtilitiesFor(ICSVExporter)
         title_name_tuples = [
-            (util.title, name) for name, util in utils
-            if not name in STUDENT_EXPORTERS]
-        # The exporter for access codes requires a special permission.
-        if not checkPermission('waeup.manageACBatches', self.context):
-            title_name_tuples.remove((u'AccessCodes', u'accesscodes'))
+            (util.title, name) for name, util in utils]
         return sorted(title_name_tuples)
 
@@ -1643,678 +1565,4 @@
         return result
 
-class ExportXMLPage(grok.View):
-    """Deliver an XML representation of the context.
-    """
-    grok.name('export.xml')
-    grok.require('waeup.managePortal')
-
-    def render(self):
-        exporter = IKofaXMLExporter(self.context)
-        xml = exporter.export().read()
-        self.response.setHeader(
-            'Content-Type', 'text/xml; charset=UTF-8')
-        return xml
-
-class ImportXMLPage(KofaPage):
-    """Replace the context object by an object created from an XML
-       representation.
-
-       XXX: This does not work for ISite objects, i.e. for instance
-            for complete University objects.
-    """
-    grok.name('importxml')
-    grok.require('waeup.managePortal')
-
-    def update(self, xmlfile=None, CANCEL=None, SUBMIT=None):
-        if CANCEL is not None:
-            self.redirect(self.url(self.context))
-            return
-        if not xmlfile:
-            return
-        importer = IKofaXMLImporter(self.context)
-        obj = importer.doImport(xmlfile)
-        if type(obj) != type(self.context):
-            return
-        parent = self.context.__parent__
-        name = self.context.__name__
-        self.context = obj
-        if hasattr(parent, name):
-            setattr(parent, name, obj)
-        else:
-            del parent[name]
-            parent[name] = obj
-            pass
-        return
-
-
-#
-# FacultiesContainer pages...
-#
-
-class FacultiesContainerPage(KofaPage):
-    """ Index page for faculty containers.
-    """
-    grok.context(IFacultiesContainer)
-    grok.require('waeup.viewAcademics')
-    grok.name('index')
-    label = _('Academic Section')
-    pnav = 1
-    grok.template('facultypage')
-
-class FacultiesContainerManageFormPage(KofaEditFormPage):
-    """Manage the basic properties of a `Faculty` instance.
-    """
-    grok.context(IFacultiesContainer)
-    grok.name('manage')
-    grok.require('waeup.manageAcademics')
-    grok.template('facultiescontainermanagepage')
-    pnav = 1
-    taboneactions = [_('Add faculty'), _('Remove selected'),_('Cancel')]
-    subunits = _('Faculties')
-
-    @property
-    def label(self):
-        return _('Manage academic section')
-
-    @jsaction(_('Remove selected'))
-    def delFaculties(self, **data):
-        if not checkPermission('waeup.managePortal', self.context):
-            self.flash(_('You are not allowed to remove entire faculties.'),
-                       type='warning')
-            return
-        delSubobjects(self, redirect='@@manage', tab='1')
-        return
-
-    @action(_('Add faculty'), validator=NullValidator)
-    def addFaculty(self, **data):
-        self.redirect(self.url(self.context, '@@add'))
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-
-class FacultyAddFormPage(KofaAddFormPage):
-    """ Page form to add a new faculty to a faculty container.
-    """
-    grok.context(IFacultiesContainer)
-    grok.require('waeup.manageAcademics')
-    grok.name('add')
-    label = _('Add faculty')
-    form_fields = grok.AutoFields(IFaculty)
-    pnav = 1
-
-    @action(_('Add faculty'), style='primary')
-    def addFaculty(self, **data):
-        faculty = createObject(u'waeup.Faculty')
-        self.applyData(faculty, **data)
-        try:
-            self.context.addFaculty(faculty)
-        except KeyError:
-            self.flash(_('The faculty code chosen already exists.'),
-                       type='danger')
-            return
-        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-        self.context.__parent__.logger.info(
-            '%s - added: %s' % (ob_class, faculty.code))
-        self.redirect(self.url(self.context, u'@@manage')+'#tab1')
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-
-#
-# Faculty pages
-#
-class FacultyPage(KofaPage):
-    """Index page of faculties.
-    """
-    grok.context(IFaculty)
-    grok.require('waeup.viewAcademics')
-    grok.name('index')
-    pnav = 1
-
-    @property
-    def label(self):
-        return _('Departments')
-
-class FacultyManageFormPage(KofaEditFormPage,
-                            LocalRoleAssignmentUtilityView):
-    """Manage the basic properties of a `Faculty` instance.
-    """
-    grok.context(IFaculty)
-    grok.name('manage')
-    grok.require('waeup.manageAcademics')
-    grok.template('facultymanagepage')
-    pnav = 1
-    subunits = _('Departments')
-    taboneactions = [_('Save'),_('Cancel')]
-    tabtwoactions = [_('Add department'), _('Remove selected'),_('Cancel')]
-    tabthreeactions1 = [_('Remove selected local roles')]
-    tabthreeactions2 = [_('Add local role')]
-
-    form_fields = grok.AutoFields(IFaculty).omit('code')
-
-    @property
-    def label(self):
-        return _('Manage faculty')
-
-    @jsaction(_('Remove selected'))
-    def delDepartments(self, **data):
-        if not checkPermission('waeup.managePortal', self.context):
-            self.flash(_('You are not allowed to remove entire departments.'),
-                       type='danger')
-            return
-        delSubobjects(self, redirect='@@manage', tab='2')
-        return
-
-    @action(_('Save'), style='primary')
-    def save(self, **data):
-        return msave(self, **data)
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-    @action(_('Add department'), validator=NullValidator)
-    def addSubunit(self, **data):
-        self.redirect(self.url(self.context, '@@add'))
-        return
-
-    @action(_('Add local role'), validator=NullValidator)
-    def addLocalRole(self, **data):
-        return add_local_role(self,3,**data)
-
-    @action(_('Remove selected local roles'))
-    def delLocalRoles(self, **data):
-        return del_local_roles(self,3,**data)
-
-class FindStudentsPage(KofaPage):
-    """Search students in faculty.
-    """
-    grok.context(IFaculty)
-    grok.name('find_students')
-    grok.require('waeup.showStudents')
-    grok.template('findstudentspage')
-    search_button = _('Find student(s)')
-    pnav = 1
-
-    @property
-    def label(self):
-        return _('Find students in ') + ('%s' % self.context.longtitle)
-
-    def _find_students(self,query=None, searchtype=None, view=None):
-        hitlist = []
-        if searchtype in ('fullname',):
-            results = Query().searchResults(
-                Text(('students_catalog', searchtype), query) &
-                Eq(('students_catalog', 'faccode'), self.context.code)
-                )
-        else:
-            results = Query().searchResults(
-                Eq(('students_catalog', searchtype), query) &
-                Eq(('students_catalog', 'faccode'), self.context.code)
-                )
-        for result in results:
-            hitlist.append(StudentQueryResultItem(result, view=view))
-        return hitlist
-
-    def update(self, *args, **kw):
-        form = self.request.form
-        self.hitlist = []
-        if 'searchterm' in form and form['searchterm']:
-            self.searchterm = form['searchterm']
-            self.searchtype = form['searchtype']
-        elif 'old_searchterm' in form:
-            self.searchterm = form['old_searchterm']
-            self.searchtype = form['old_searchtype']
-        else:
-            if 'search' in form:
-                self.flash(_('Empty search string'), type='warning')
-            return
-        self.hitlist = self._find_students(query=self.searchterm,
-            searchtype=self.searchtype, view=self)
-        if not self.hitlist:
-            self.flash(_('No student found.'), type='warning')
-        return
-
-class DepartmentAddFormPage(KofaAddFormPage):
-    """Add a department to a faculty.
-    """
-    grok.context(IFaculty)
-    grok.name('add')
-    grok.require('waeup.manageAcademics')
-    label = _('Add department')
-    form_fields = grok.AutoFields(IDepartment)
-    pnav = 1
-
-    @action(_('Add department'), style='primary')
-    def addDepartment(self, **data):
-        department = createObject(u'waeup.Department')
-        self.applyData(department, **data)
-        try:
-            self.context.addDepartment(department)
-        except KeyError:
-            self.flash(_('The code chosen already exists in this faculty.'),
-                       type='danger')
-            return
-        self.status = self.flash(
-            _("Department ${a} added.", mapping = {'a':data['code']}))
-        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-        self.context.__parent__.__parent__.logger.info(
-            '%s - added: %s' % (ob_class, data['code']))
-        self.redirect(self.url(self.context, u'@@manage')+'#tab2')
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-#
-# Department pages
-#
-class DepartmentPage(KofaPage):
-    """Department index page.
-    """
-    grok.context(IDepartment)
-    grok.require('waeup.viewAcademics')
-    grok.name('index')
-    pnav = 1
-    label = _('Courses and Certificates')
-
-    def update(self):
-        super(DepartmentPage, self).update()
-        return
-
-    def getCourses(self):
-        """Get a list of all stored courses.
-        """
-        for key, val in self.context.courses.items():
-            url = self.url(val)
-            yield(dict(url=url, name=key, container=val))
-
-    def getCertificates(self):
-        """Get a list of all stored certificates.
-        """
-        for key, val in self.context.certificates.items():
-            url = self.url(val)
-            yield(dict(url=url, name=key, container=val))
-
-class DepartmentManageFormPage(KofaEditFormPage,
-                               LocalRoleAssignmentUtilityView):
-    """Manage the basic properties of a `Department` instance.
-    """
-    grok.context(IDepartment)
-    grok.name('manage')
-    grok.require('waeup.manageAcademics')
-    pnav = 1
-    grok.template('departmentmanagepage')
-    taboneactions = [_('Save'),_('Cancel')]
-    tabtwoactions = [_('Add course'), _('Remove selected courses'),_('Cancel')]
-    tabthreeactions = [_('Add certificate'), _('Remove selected certificates'),
-                       _('Cancel')]
-    tabfouractions1 = [_('Remove selected local roles')]
-    tabfouractions2 = [_('Add local role')]
-
-    form_fields = grok.AutoFields(IDepartment).omit('code')
-
-    @property
-    def label(self):
-        return _('Manage department')
-
-    def getCourses(self):
-        """Get a list of all stored courses.
-        """
-        for key, val in self.context.courses.items():
-            url = self.url(val)
-            yield(dict(url=url, name=key, container=val))
-
-    def getCertificates(self):
-        """Get a list of all stored certificates.
-        """
-        for key, val in self.context.certificates.items():
-            url = self.url(val)
-            yield(dict(url=url, name=key, container=val))
-
-    @action(_('Save'), style='primary')
-    def save(self, **data):
-        return msave(self, **data)
-
-    @jsaction(_('Remove selected courses'))
-    def delCourses(self, **data):
-        delSubobjects(
-            self, redirect='@@manage', tab='2', subcontainer='courses')
-        return
-
-    @jsaction(_('Remove selected certificates'))
-    def delCertificates(self, **data):
-        if not checkPermission('waeup.managePortal', self.context):
-            self.flash(_('You are not allowed to remove certificates.'),
-                       type='warning')
-            return
-        delSubobjects(
-            self, redirect='@@manage', tab='3', subcontainer='certificates')
-        return
-
-    @action(_('Add course'), validator=NullValidator)
-    def addCourse(self, **data):
-        self.redirect(self.url(self.context, 'addcourse'))
-        return
-
-    @action(_('Add certificate'), validator=NullValidator)
-    def addCertificate(self, **data):
-        self.redirect(self.url(self.context, 'addcertificate'))
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-    @action(_('Add local role'), validator=NullValidator)
-    def addLocalRole(self, **data):
-        return add_local_role(self,4,**data)
-
-    @action(_('Remove selected local roles'))
-    def delLocalRoles(self, **data):
-        return del_local_roles(self,4,**data)
-
-class CourseAddFormPage(KofaAddFormPage):
-    """Add-form to add course to a department.
-    """
-    grok.context(IDepartment)
-    grok.name('addcourse')
-    grok.require('waeup.manageAcademics')
-    label = _(u'Add course')
-    form_fields = grok.AutoFields(ICourse)
-    pnav = 1
-
-    @action(_('Add course'))
-    def addCourse(self, **data):
-        course = createObject(u'waeup.Course')
-        self.applyData(course, **data)
-        try:
-            self.context.courses.addCourse(course)
-        except DuplicationError, error:
-            # signals duplication error
-            entries = error.entries
-            for entry in entries:
-                # do not use error.msg but render a more detailed message instead
-                # and show links to all certs with same code
-                message = _('A course with same code already exists: ')
-                message += '<a href="%s">%s</a>' % (
-                    self.url(entry), getattr(entry, '__name__', u'Unnamed'))
-                self.flash(message, type='warning')
-            self.redirect(self.url(self.context, u'@@addcourse'))
-            return
-        message = _(u'Course ${a} successfully created.', mapping = {'a':course.code})
-        self.flash(message)
-        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-        self.context.__parent__.__parent__.__parent__.logger.info(
-            '%s - added: %s' % (ob_class, data['code']))
-        self.redirect(self.url(self.context, u'@@manage')+'#tab2')
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-class CertificateAddFormPage(KofaAddFormPage):
-    """Add-form to add certificate to a department.
-    """
-    grok.context(IDepartment)
-    grok.name('addcertificate')
-    grok.require('waeup.manageAcademics')
-    label = _(u'Add certificate')
-    form_fields = grok.AutoFields(ICertificate)
-    pnav = 1
-
-    @action(_('Add certificate'))
-    def addCertificate(self, **data):
-        certificate = createObject(u'waeup.Certificate')
-        self.applyData(certificate, **data)
-        try:
-            self.context.certificates.addCertificate(certificate)
-        except DuplicationError, error:
-            # signals duplication error
-            entries = error.entries
-            for entry in entries:
-                # do not use error.msg but render a more detailed message instead
-                # and show links to all certs with same code
-                message = _('A certificate with same code already exists: ')
-                message += '<a href="%s">%s</a>' % (
-                    self.url(entry), getattr(entry, '__name__', u'Unnamed'))
-                self.flash(message, type='warning')
-            self.redirect(self.url(self.context, u'@@addcertificate'))
-            return
-        message = _(u'Certificate ${a} successfully created.', mapping = {'a':certificate.code})
-        self.flash(message)
-        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-        self.context.__parent__.__parent__.__parent__.logger.info(
-            '%s - added: %s' % (ob_class, data['code']))
-        self.redirect(self.url(self.context, u'@@manage')+'#tab3')
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self): #, **data):
-        self.redirect(self.url(self.context))
-        return
-
-#
-# Courses pages
-#
-class CoursePage(KofaDisplayFormPage):
-    """Course index page.
-    """
-    grok.context(ICourse)
-    grok.name('index')
-    grok.require('waeup.viewAcademics')
-    pnav = 1
-    form_fields = grok.AutoFields(ICourse)
-
-    @property
-    def label(self):
-        return '%s (%s)' % (self.context.title, self.context.code)
-
-class CourseManageFormPage(KofaEditFormPage,
-                           LocalRoleAssignmentUtilityView):
-    """Edit form page for courses.
-    """
-    grok.context(ICourse)
-    grok.name('manage')
-    grok.require('waeup.manageAcademics')
-    grok.template('coursemanagepage')
-    label = _(u'Edit course')
-    pnav = 1
-    taboneactions = [_('Save'),_('Cancel')]
-    tabtwoactions1 = [_('Remove selected local roles')]
-    tabtwoactions2 = [_('Add local role')]
-
-    form_fields = grok.AutoFields(ICourse).omit('code')
-
-    @action(_('Save'), style='primary')
-    def save(self, **data):
-        return msave(self, **data)
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-    @action(_('Add local role'), validator=NullValidator)
-    def addLocalRole(self, **data):
-        return add_local_role(self,2,**data)
-
-    @action(_('Remove selected local roles'))
-    def delLocalRoles(self, **data):
-        return del_local_roles(self,2,**data)
-
-#
-# Certificate pages
-#
-class CertificatePage(KofaDisplayFormPage):
-    """Index page for certificates.
-    """
-    grok.context(ICertificate)
-    grok.name('index')
-    grok.require('waeup.viewAcademics')
-    pnav = 1
-    form_fields = grok.AutoFields(ICertificate)
-    grok.template('certificatepage')
-
-    @property
-    def label(self):
-        return "%s (%s)" % (self.context.title, self.context.code)
-
-    def update(self):
-        return super(CertificatePage, self).update()
-
-class CertificateManageFormPage(KofaEditFormPage,
-                                LocalRoleAssignmentUtilityView):
-    """Manage the properties of a `Certificate` instance.
-    """
-    grok.context(ICertificate)
-    grok.name('manage')
-    grok.require('waeup.manageAcademics')
-    pnav = 1
-    label = _('Edit certificate')
-
-    form_fields = grok.AutoFields(ICertificate).omit('code')
-
-    pnav = 1
-    grok.template('certificatemanagepage')
-    taboneactions = [_('Save'),_('Cancel')]
-    tabtwoactions = [_('Add certificate course'),
-                     _('Remove selected certificate courses'),_('Cancel')]
-    tabthreeactions1 = [_('Remove selected local roles')]
-    tabthreeactions2 = [_('Add local role')]
-
-    @property
-    def label(self):
-        return _('Manage certificate')
-
-    @action(_('Save'), style='primary')
-    def save(self, **data):
-        return msave(self, **data)
-
-    @jsaction(_('Remove selected certificate courses'))
-    def delCertificateCourses(self, **data):
-        delSubobjects(self, redirect='@@manage', tab='2')
-        return
-
-    @action(_('Add certificate course'), validator=NullValidator)
-    def addCertificateCourse(self, **data):
-        self.redirect(self.url(self.context, 'addcertificatecourse'))
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-    @action(_('Add local role'), validator=NullValidator)
-    def addLocalRole(self, **data):
-        return add_local_role(self,3,**data)
-
-    @action(_('Remove selected local roles'))
-    def delLocalRoles(self, **data):
-        return del_local_roles(self,3,**data)
-
-
-class CertificateCourseAddFormPage(KofaAddFormPage):
-    """Add-page to add a course ref to a certificate
-    """
-    grok.context(ICertificate)
-    grok.name('addcertificatecourse')
-    grok.require('waeup.manageAcademics')
-    form_fields = grok.AutoFields(ICertificateCourse)
-    pnav = 1
-    label = _('Add certificate course')
-
-    @action(_('Add certificate course'))
-    def addCertcourse(self, **data):
-        try:
-            self.context.addCertCourse(**data)
-        except KeyError:
-            self.status = self.flash(_('The chosen certificate course is already '
-                                  'part of this certificate.'), type='warning')
-            return
-        self.status = self.flash(
-            _("certificate course ${a}_${b} added.",
-            mapping = {'a': data['course'].code, 'b': data['level']}))
-        code = "%s_%s" % (data['course'].code, data['level'])
-        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-        grok.getSite().logger.info('%s - added: %s' % (ob_class, code))
-        self.redirect(self.url(self.context, u'@@manage')+'#tab2')
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
-
-#
-# Certificate course pages...
-#
-class CertificateCoursePage(KofaPage):
-    """CertificateCourse index page.
-    """
-    grok.context(ICertificateCourse)
-    grok.name('index')
-    grok.require('waeup.viewAcademics')
-    pnav = 1
-    #form_fields = grok.AutoFields(ICertificateCourse)
-
-    @property
-    def label(self):
-        return '%s' % (self.context.longtitle)
-
-    @property
-    def leveltitle(self):
-        return course_levels.getTerm(self.context.level).title
-
-class CertificateCourseManageFormPage(KofaEditFormPage):
-    """Manage the basic properties of a `CertificateCourse` instance.
-    """
-    grok.context(ICertificateCourse)
-    grok.name('manage')
-    grok.require('waeup.manageAcademics')
-    form_fields = grok.AutoFields(ICertificateCourse).omit('code')
-    label = _('Edit certificate course')
-    pnav = 1
-
-    @action(_('Save and return'), style='primary')
-    def saveAndReturn(self, **data):
-        parent = self.context.__parent__
-        if self.context.level == data['level']:
-            msave(self, **data)
-        else:
-            # The level changed. We have to create a new certcourse as
-            # the key of the entry will change as well...
-            old_level = self.context.level
-            data['course'] = self.context.course
-            parent.addCertCourse(**data)
-            parent.delCertCourses(data['course'].code, level=old_level)
-            self.flash(_('Form has been saved.'))
-            old_code = "%s_%s" % (data['course'].code, old_level)
-            new_code = "%s_%s" % (data['course'].code, data['level'])
-            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
-            grok.getSite().logger.info(
-                '%s - renamed: %s to %s' % (ob_class, old_code, new_code))
-        self.redirect(self.url(parent))
-        return
-
-    @action(_('Cancel'), validator=NullValidator)
-    def cancel(self, **data):
-        self.redirect(self.url(self.context))
-        return
-
 class ChangePasswordRequestPage(KofaForm):
     """Captcha'd page for all kind of users to request a password change.
@@ -2335,24 +1583,14 @@
 
     def _searchUser(self, identifier, email):
-        # Search student
-        cat = queryUtility(ICatalog, name='students_catalog')
-        results = cat.searchResults(
+        # Search customer
+        #cat = queryUtility(ICatalog, name='customers_catalog')
+        #results = cat.searchResults(
             #reg_number=(identifier, identifier),
-            email=(email,email))
-        for result in results:
-            if result.student_id == identifier or \
-                result.reg_number == identifier or \
-                result.matric_number == identifier:
-                return result
-        # Search applicant
-        cat = queryUtility(ICatalog, name='applicants_catalog')
-        if cat is not None:
-            results = cat.searchResults(
-                #reg_number=(identifier, identifier),
-                email=(email,email))
-            for result in results:
-                if result.applicant_id == identifier or \
-                    result.reg_number == identifier:
-                    return result
+        #    email=(email,email))
+        #for result in results:
+        #    if result.student_id == identifier or \
+        #        result.reg_number == identifier or \
+        #        result.matric_number == identifier:
+        #        return result
         # Search portal user
         user = grok.getSite()['users'].get(identifier, None)
